#  ___________________________________________________________________________
#
#  Pyomo: Python Optimization Modeling Objects
#  Copyright (c) 2008-2024
#  National Technology and Engineering Solutions of Sandia, LLC
#  Under the terms of Contract DE-NA0003525 with National Technology and
#  Engineering Solutions of Sandia, LLC, the U.S. Government retains certain
#  rights in this software.
#  This software is distributed under the 3-clause BSD License.
#  ___________________________________________________________________________

from pyomo.contrib.cp.interval_var import (
    IntervalVar,
    IntervalVarStartTime,
    IntervalVarEndTime,
    IntervalVarLength,
    IntervalVarPresence,
)
from pyomo.contrib.cp.repn.docplex_writer import DocplexWriter, CPOptimizerSolver
from pyomo.contrib.cp.sequence_var import SequenceVar
from pyomo.contrib.cp.scheduling_expr.sequence_expressions import (
    no_overlap,
    first_in_sequence,
    last_in_sequence,
    before_in_sequence,
    predecessor_to,
)
from pyomo.contrib.cp.scheduling_expr.scheduling_logic import (
    alternative,
    spans,
    synchronize,
)
from pyomo.contrib.cp.scheduling_expr.step_function_expressions import (
    AlwaysIn,
    Step,
    Pulse,
)

# register logical_to_disjunctive transformation
import pyomo.contrib.cp.transform.logical_to_disjunctive_program
